package com.example.manageinventory;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import bdd.ArticleDAO;

public class AjoutArticleActivity extends AppCompatActivity {
    Article art = null;
    private ArticleDAO articleDAO = null;
    private EditText etRef;
    private EditText etDes;
    private EditText etPrix;
    private EditText etQte;
    private Button btAjout;

    String ref;
    String des;
    String prix;
    double prixN;
    String qte;
    int qteN;
    long idArticleCree;
    ArticleDAO artDAO;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_ajout_article);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        articleDAO = new ArticleDAO(this);
        initialisation();
    }

    public void initialisation() {
        Button btQuitter = (Button) findViewById(R.id.btQuit);
        btQuitter.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                articleDAO.close();
                finish();
            }
        });

        Button btAjoutArticle = (Button) findViewById(R.id.btAdd);
        btAjoutArticle.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                creationArticle();
            }
        });
    }

    private void creationArticle() {
        // Reconnaissance des contrôles graphiques de la vue
        etRef = (EditText) findViewById(R.id.plRef);
        etDes = (EditText) findViewById(R.id.plDes);
        etPrix = (EditText) findViewById(R.id.plPrice);
        etQte = (EditText) findViewById(R.id.plQuant);
        btAjout = (Button) findViewById(R.id.btAdd);

        // Récupération des zones saisies
        ref = etRef.getText().toString();
        des = etDes.getText().toString();
        prix = etPrix.getText().toString();
        prixN = (float) Float.parseFloat(prix);
        qte = etQte.getText().toString();
        qteN = Integer.parseInt(qte);
        // Création de l'article correspondant
        art = new Article(ref, des, (float) prixN, qteN);
        // Insertion de l'article dans la base de données
        long idArticleCree = articleDAO.create(art);
        // Message à l'écran
        Toast.makeText(getApplicationContext(), "Produit ajouté + " +
                        "(no : " + idArticleCree + " )",Toast.LENGTH_SHORT).show();
        // Zones de saisies effacées
        etRef.setText("");
        etRef.requestFocus();
        etDes.setText("");
        etPrix.setText("");
        etQte.setText("");
    }
}