package com.example.manageinventory;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        initialisation();
    }

    public void initialisation() {
        Button btQuitter = (Button) findViewById(R.id.btQuitter);
        btQuitter.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                finish();
            }
        });

        Button btAjoutArticle = (Button) findViewById(R.id.btAjoutArticle);
        btAjoutArticle.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                openAddStock();
            }
        });

        Button btListeArticles = (Button) findViewById(R.id.btListeArticles);
        btListeArticles.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                openListStock();
            }
        });
    }

    public void openAddStock() {
        Intent intent = new Intent (MainActivity.this, AjoutArticleActivity.class);
        startActivity(intent);
    }

    public void openListStock() {
        Intent intent = new Intent (MainActivity.this, ListeArticleActivity.class);
        startActivity(intent);
    }
}